<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Pierwiastki równania kwadratowego</title>
</head>
<body>
<p>
<?php
function rozwiaz($A, $B, $C){

  //wyświetlenie parametrów równania
  echo("Parametry równania: <br>");
  echo("A = $A, B = $B, C = $C <br>");

  //sprawdzenie, czy jest to równanie kwadratowe
  if ($A == 0){
    //$A jest równe zero, równania nie jest kwadratowe
    echo("To nie jest równanie kwadratowe: A = 0!");
  }
  else{
    //A jest różne od zera, równanie jest kwadratowe

    //obliczenie delty
    $delta = $B * $B - 4 * $A * $C;

    //jeśli delta mniejsza od zera
    if ($delta < 0){
       echo ("Delta < 0<br />");
       echo ("To równanie nie ma rozwiązania w zbiorze liczb rzeczywistych.");
    }
    //jeśli delta większa lub równa zero
    else{
       //je&para;li delta jest równa zero
       if ($delta == 0){
         //obliczenie wyniku
         $wynik = - B / (2 * A);
         echo("Rozwiązanie: x = $wynik");
       }
       //je&para;li delta jest większa od zera
       else{
         //obliczenie wyników
         $wynik = (- $B + sqrt($delta)) / (2 * $A);
         echo ("Rozwiązanie: x1 = $wynik");
         $wynik = (- $B - sqrt($delta)) / (2 * $A);
         echo(", x2 = $wynik");
       }
    }
  }
}
if(isSet($_GET['A']) && isSet($_GET['B']) && isSet($_GET['C'])){
  if(!is_numeric($_GET['A']) || !is_numeric($_GET['B']) || !is_numeric($_GET['C'])){
    echo "Nieprawidłowe parametry wywołania.";
  }
  else{
    rozwiaz($_GET['A'], $_GET['B'], $_GET['C']);
  }
  exit();
}
?>
</p>
</body>
</html>